ACalc::NightTimeValues(3)

NAME
ACalc::NightTimeValues - The NightTimeValues struct encapsulates values relating to night time that are needed by the NewFlightDialog.

SYNOPSIS

#include <acalc.h>

  Public Member Functions
NightTimeValues (const QString &dept, const QString &dest, const QDateTime &departure_time, int block_minutes, int night_angle)
NightTimeValues (bool to_night, bool ldg_night, int night_minutes, QTime night_time, QTime total_time)
bool isAllDay ()
bool isAllNight ()
bool isDayToNight ()
bool isNightToDay ()

  Public Attributes
bool takeOffNight
bool landingNight
int nightMinutes
QTime nightTime
QTime totalTime

Detailed Description

The NightTimeValues struct encapsulates values relating to night time that are needed by the NewFlightDialog.

Author

Generated automatically by Doxygen for openPilotLog from the source code.